Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.nodes
Class FilterNode.NodeAdapter

    java.lang.Object
      org.openide.nodes.FilterNode.NodeAdapter

All Implemented Interfaces:
  PropertyChangeListener, EventListener, NodeListener

Enclosing class:
  FilterNode

    protected static class FilterNode.NodeAdapter

extends Object
implements NodeListener

Adapter that listens on changes in an original node and refires them in a proxy. Created in `FilterNode.createNodeListener()`.

See Also:
  `FilterNode.PropertyChangeAdapter`

Constructor Summary
`FilterNode.NodeAdapter(FilterNode fn)` Create an adapter.

Method Summary
`void` | `childrenAdded(NodeMemberEvent ev)` Does nothing.
`void` | `childrenRemoved(NodeMemberEvent ev)` Does nothing.
`void` | `childrenReordered(NodeReorderEvent ev)` Does nothing.
`void` | `nodeDestroyed(NodeEvent ev)` Fired when the node is deleted.
`protected void` | `propertyChange(FilterNode fn, PropertyChangeEvent ev)` Actually refire the change event in a subclass.
`void` | `propertyChange(PropertyChangeEvent ev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterNode.NodeAdapter

    public FilterNode.NodeAdapter(FilterNode fn)

  Create an adapter.

  Parameters:
    `fn` - the proxy

Method Detail

### propertyChange

    public final void propertyChange(PropertyChangeEvent ev)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### propertyChange

    protected void propertyChange(FilterNode fn,
                                  PropertyChangeEvent ev)

  Actually refire the change event in a subclass. The default implementation ignores changes of the `parentNode` property but refires everything else.

  Parameters:
    `fn` - the filter node
    `ev` - the event to fire

### childrenAdded

    public void childrenAdded(NodeMemberEvent ev)

  Does nothing.

  Specified by:
    `childrenAdded` in interface `NodeListener`
  Parameters:
    `ev` - event describing the action

### childrenRemoved

    public void childrenRemoved(NodeMemberEvent ev)

  Does nothing.

  Specified by:
    `childrenRemoved` in interface `NodeListener`
  Parameters:
    `ev` - event describing the action

### childrenReordered

    public void childrenReordered(NodeReorderEvent ev)

  Does nothing.

  Specified by:
    `childrenReordered` in interface `NodeListener`
  Parameters:
    `ev` - event describing the action

### nodeDestroyed

    public final void nodeDestroyed(NodeEvent ev)

  Description copied from interface: `NodeListener`
  Fired when the node is deleted.

  Specified by:
    `nodeDestroyed` in interface `NodeListener`
  Parameters:
    `ev` - event describing the node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.